apiVersion: cli.kyverno.io/v1alpha1
kind: Test
metadata:
  name: disallow-add-capabilities
policies:
  - ../../../policies/disallow-add-capabilities.yaml
resources:
  - bad-resource.yaml
  - good-resource.yaml
results:
  - policy: disallow-add-capabilities
    rule: capabilities
    kind: Pod
    resources:
      - disallow-add-capabilities-good-1
      - disallow-add-capabilities-good-2
    result: pass
  - policy: disallow-add-capabilities
    rule: capabilities
    kind: Pod
    resources:
      - disallow-add-capabilities-bad-1
      - disallow-add-capabilities-bad-2
    result: fail
